# -*- coding: utf-8 -*-
# @Time    : 2024/5/17
# @Author  : 魏志亮
import os.path

import yaml


def read_yaml_file(filename, type):
    path = os.path.abspath(__file__)
    for i in range(3):
        path = os.path.dirname(path)
    with open(path + os.sep + "config_files" + os.sep + filename + os.sep + type + ".yaml", 'r', encoding='utf-8') as f:
        return yaml.safe_load(f)


def read_param_from_yaml_file(yaml_file, type, default_value=None):
    if type in yaml_file:
        return yaml_file[type]
    else:
        return default_value


if __name__ == '__main__':
    data = read_yaml_file("昌西一风电场", "second")
    trans_col = data['trans_col']
    result_col = ['wind_turbine_number', 'time_stamp', 'active_power', 'rotor_speed', 'generator_speed',
                  'wind_velocity', 'pitch_angle_blade_1', 'pitch_angle_blade_2', 'pitch_angle_blade_3',
                  'cabin_position', 'true_wind_direction', 'yaw_error1', 'set_value_of_active_power',
                  'gearbox_oil_temperature', 'generatordrive_end_bearing_temperature',
                  'generatornon_drive_end_bearing_temperature', 'wind_turbine_status', 'wind_turbine_status2',
                  'cabin_temperature', 'twisted_cable_angle', 'front_back_vibration_of_the_cabin',
                  'side_to_side_vibration_of_the_cabin', 'actual_torque', 'given_torque', 'clockwise_yaw_count',
                  'counterclockwise_yaw_count', 'unusable', 'power_curve_available', 'required_gearbox_speed',
                  'inverter_speed_master_control', 'outside_cabin_temperature', 'main_bearing_temperature',
                  'gearbox_high_speed_shaft_bearing_temperature', 'gearboxmedium_speed_shaftbearing_temperature',
                  'gearbox_low_speed_shaft_bearing_temperature', 'generator_winding1_temperature',
                  'generator_winding2_temperature', 'generator_winding3_temperature', 'turbulence_intensity']

    for col in result_col:
        print((trans_col[col] if trans_col[col] is not None else 'null'))
